package com.cusc.nirvana.user.rnr.fp.common.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * Description: 短信相关常量类
 * <br />
 * CreateDate 2021-11-03 20:36
 *
 * @author yuyi
 **/
@Component
public class SmsPropertyConfig {

    //短信的url，默认值是测试环境
    @Value("${sms.cusc.url:}")
    public String smsUrl;

    //短信发送的url
    @Value("${sms.cusc.sendUrl:/sms/v1/send}")
    public String sendUrl;

    //短信发送结果查询的url
    @Value("${sms.cusc.sendResultQueryUrl:/sms/v1/list}")
    public String sendResultQueryUrl;

    @Value("${sms.cusc.version:1.0.0}")
    private String VERSION;

    @Value("${sms.cusc.appId:}")
    private String APPID;

    @Value("${sms.cusc.appSecret:}")
    private String APPSCRET;

    //短信平台的访问key
    @Value("${sms.cusc.accessKey:}")
    public String accessKey;

    //短信平台的strategyCode
    @Value("${sms.cusc.signatureCode:}")
    public String signatureCode;

    //短信验证码错误次数
    @Value("${sms.cusc.errorCount:3}")
    public Integer errorCount;

    public String getSmsUrl() {
        return smsUrl;
    }

    public void setSmsUrl(String smsUrl) {
        this.smsUrl = smsUrl;
    }

    public String getSendUrl() {
        return sendUrl;
    }

    public void setSendUrl(String sendUrl) {
        this.sendUrl = sendUrl;
    }

    public String getSendResultQueryUrl() {
        return sendResultQueryUrl;
    }

    public void setSendResultQueryUrl(String sendResultQueryUrl) {
        this.sendResultQueryUrl = sendResultQueryUrl;
    }

    public String getAPPID() {
        return APPID;
    }

    public void setAPPID(String APPID) {
        this.APPID = APPID;
    }

    public String getAPPSCRET() {
        return APPSCRET;
    }

    public void setAPPSCRET(String APPSCRET) {
        this.APPSCRET = APPSCRET;
    }

    public String getVERSION() {
        return VERSION;
    }

    public void setVERSION(String VERSION) {
        this.VERSION = VERSION;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getSignatureCode() {
        return signatureCode;
    }

    public void setSignatureCode(String signatureCode) {
        this.signatureCode = signatureCode;
    }

    public Integer getErrorCount() {
        return errorCount;
    }

    public void setErrorCount(Integer errorCount) {
        this.errorCount = errorCount;
    }
}

